Bug 672608 - Invalid BuildArch value should be reported
Invalid BuildArch value should be reported
Status: NEW
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-25 12:33 EST by Petr Pisar
Modified: 2016-11-24 05:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (1.95 KB, text/plain)
2011-01-25 12:34 EST, Petr Pisar
no flags Details

  None (edit)
Description Petr Pisar 2011-01-25 12:33:20 EST
rpmlint does not catch spec file with following text:

[...]
Source0:        http://www.cpan.org/authors/id/J/JA/JAWNSY/Test-DistManifest-%{version}.tar.gz
BuildArch:      noarch
BuildArch:      perl(File::Spec)
BuildArch:      perl(File::Spec::Unix)
BuildRequires:  perl(Module::Build)
[...]

I think rpmlint should print warning or error about invalid BuildArch value.
Comment 1 Petr Pisar 2011-01-25 12:34:39 EST
Created attachment 475224 [details]
Test case

Spec file with invalid BuilArch values.
Comment 2 Ville Skyttä 2011-01-25 13:48:27 EST
That could be useful, but I'm not aware of any source from which we could get a list of valid values for BuildArch, so perhaps the best that could be done is to make it configurable.  And FWIW it seems that rpmbuild (4.8.1 on F-13) silently ignores all but the first BuildArch in the specfile; perhaps it should fail the build if there are more of them or just process them all (like it does if there are multiple values in the first BuildArch line).

Panu, thoughts?
Comment 3 Petr Pisar 2011-01-26 02:57:47 EST
The rpmbuild issue is tracked under bug #672605.
Comment 4 Panu Matilainen 2011-01-26 06:02:50 EST
(In reply to comment #2)
> That could be useful, but I'm not aware of any source from which we could get a
> list of valid values for BuildArch, so perhaps the best that could be done is
> to make it configurable.

Obviously rpm has some ideas about architecture validity, but the information is not exported in any meaningful way.

> And FWIW it seems that rpmbuild (4.8.1 on F-13)
> silently ignores all but the first BuildArch in the specfile; perhaps it should
> fail the build if there are more of them or just process them all (like it does
> if there are multiple values in the first BuildArch line).
> 
> Panu, thoughts?

Actually AFAICS it's the /last/ BuildArch line encountered that "wins", all the earlier ones get simply replaced causing memory leakage too. But yeah, it should either error out with "Duplicate buildarch entries" or (the more productive option) actually accept them all.
Comment 5 Fedora End Of Life 2013-04-03 13:47:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 11:31:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jan Kurik 2015-07-15 11:17:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora End Of Life 2016-11-24 05:29:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.